Get load balancer metrics
curl --request POST \
--url https://api.gcore.com/cloud/v1/loadbalancers/{project_id}/{region_id}/{load_balancer_id}/metrics \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"time_interval": 6
}
'import requests
url = "https://api.gcore.com/cloud/v1/loadbalancers/{project_id}/{region_id}/{load_balancer_id}/metrics"
payload = { "time_interval": 6 }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({time_interval: 6})
};
fetch('https://api.gcore.com/cloud/v1/loadbalancers/{project_id}/{region_id}/{load_balancer_id}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"cpu_util": 8,
"memory_util": 33.28411162695459,
"network_Bps_egress": 102,
"network_Bps_ingress": 102,
"network_pps_egress": 0.7,
"network_pps_ingress": 0.7,
"time": "2020-07-07T12:57:00Z"
}
]
}Load Balancers
Get load balancer metrics
Get load balancer metrics, including cpu, memory and network
POST
/
cloud
/
v1
/
loadbalancers
/
{project_id}
/
{region_id}
/
{load_balancer_id}
/
metrics
Get load balancer metrics
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
7
Load-Balancer ID
Example:
"ac307687-31a4-4a11-a949-6bea1b2878f5"
Body
application/json
Was this page helpful?
⌘I